Bug 179658 - Genesys usb-storage controller is extremely unstable
Genesys usb-storage controller is extremely unstable
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 17:34 EST by Gabriel Schulhof
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Schulhof 2006-02-01 17:34:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.12) Gecko/20051203

Description of problem:
When attempting to write large quantities of data to my USB HDD, the drive crashes and the EXT3 journal becomes corrupted, and many other Bad Things happen. Please see ftp://tux.go-nix.ca/incoming/genesys.breakage.messages for further information.

This does not happen with vanilla 2.6.15 on either ppc (iBook G4) or x86 (2.4GHz Pentium 4) both running Gentoo. In fact, I was able to transfer about 16GB in 3 large bursts without an incident. There were some messages in my syslog, and I /did/ notice that, once in a while, it seemed to stop transferring and let the device "cool down" but at least it knew to do that, instead of killing it.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1. Buy an enclosure as below
2. Plug a 2.5" HDD into it
3. Transfer tons of data to it, as I did
  

Actual Results:  HDD crashes and burns.

Expected Results:  Files transfer correctly.

Additional info:

From usbview:

USB TO IDE
Speed: 480Mb/s (high)
USB Version:  2.00
Device Class: 00(>ifc )
Device Subclass: 00
Device Protocol: 00
Maximum Default Endpoint Size: 64
Number of Configurations: 1
Vendor Id: 05e3
Product Id: 0702
Revision Number:  0.02

Config Number: 1
	Number of Interfaces: 1
	Attributes: c0
	MaxPower Needed:  96mA

	Interface Number: 0
		Name: usb-storage
		Alternate Number: 0
		Class: 08(stor.) 
		Sub Class: 6
		Protocol: 50
		Number of Endpoints: 2

			Endpoint Address: 81
			Direction: in
			Attribute: 2
			Type: Bulk
			Max Packet Size: 512
			Interval: 0ms

			Endpoint Address: 02
			Direction: out
			Attribute: 2
			Type: Bulk
			Max Packet Size: 512
			Interval: 125us

The actual device:
http://startech.com/ststore/itemdetail.cfm?ProductID=IDECASE25U2&mt=

The on-board chip is a GL811USB:
http://www.zynet.com.tw/download/data%20sheet/CDHD-R1R2D1D3-U2.pdf
Comment 1 Dave Jones 2006-02-03 00:51:26 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 John Thacker 2006-05-04 08:53:05 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.